From cd6500330e652672a1995fdfe072dff99c410e4c Mon Sep 17 00:00:00 2001
From: Ricardo Lafuente <r@manufacturaindependente.org>
Date: Feb 05 2024 10:48:16 +0000
Subject: [PATCH 10/17] Separate html and build directives


---

diff --git a/website/Makefile b/website/Makefile
index 523d749..5d534df 100644
--- a/website/Makefile
+++ b/website/Makefile
@@ -55,7 +55,7 @@ extract:
 translate:
 	$(ACTIVATE); cd i18n; ./download.sh; ./translate_content.sh; for f in `ls ../content/posts/pt/*.md`; do ./postprocess.py $$f; done; for f in `ls ../content/pages/pt/*.md`; do ./postprocess.py $$f; done; for f in `ls ../content/wrappers/*.md`; do ./postprocess.py $$f; done
 
-html: extract translate
+html: extract 
 	cp ../tests/integration_tests/README.md content/pages/integration_tests.md
 	cp ../tests/unit_tests/README.md content/pages/unit_tests.md
 	mkdir -p output/ output/.well-known/
@@ -66,6 +66,8 @@ html: extract translate
 	# fix translated indexes to address a Pelican bug
 	# cd content/pages; for lang in */; do mv ../../output/$$lang/$$lang/index.html ../../output/$$lang; rm -f ../../output/$$lang/$$lang/index.html; done
 
+build: translate html
+
 clean:
 	[ ! -d "$(OUTPUTDIR)" ] || rm -rf "$(OUTPUTDIR)"
 	rm -fr content/pages/pt

